Etmv3Atoms Class Reference

`#include <trc_pkt_decode_etmv3.h>`

## Public Member Functions

| Etmv3Atoms (const bool isCycleAcc)
| ~Etmv3Atoms ()
void | initAtomPkt (const EtmV3TrcPacket *in_pkt, const ocsd_trc_index_t &root_index)
| initialise the atom and index values More...
const ocsd_atm_val | getCurrAtomVal () const
const int | numAtoms () const
| number of atoms More...
const ocsd_trc_index_t | pktIndex () const
| originating packet index More...
const bool | hasAtomCC () const
| cycle count for current atom? More...
const uint32_t | getAtomCC () const
| cycle count for current atom More...
const uint32_t | getRemainCC () const
| get residual cycle count for remaining atoms More...
void | clearAtom ()
| clear the current atom, set the next. More...
void | clearAll ()
| clear all More...

## Detailed Description

Definition at line 48 of file trc_pkt_decode_etmv3.h.

## Constructor & Destructor Documentation

## Etmv3Atoms()

Etmv3Atoms::Etmv3Atoms | ( | const bool | isCycleAcc | ) |

inline

Definition at line 88 of file trc_pkt_decode_etmv3.h.

## ~Etmv3Atoms()

Etmv3Atoms::~Etmv3Atoms | ( |  | ) |

inline

Definition at line 52 of file trc_pkt_decode_etmv3.h.

## Member Function Documentation

## clearAll()

void Etmv3Atoms::clearAll | ( |  | ) |

inline

clear all

Definition at line 201 of file trc_pkt_decode_etmv3.h.

## clearAtom()

void Etmv3Atoms::clearAtom | ( |  | ) |

inline

clear the current atom, set the next.

Definition at line 194 of file trc_pkt_decode_etmv3.h.

## getAtomCC()

const uint32_t Etmv3Atoms::getAtomCC | ( |  | ) | const

inline

cycle count for current atom

Definition at line 140 of file trc_pkt_decode_etmv3.h.

## getCurrAtomVal()

const ocsd_atm_val Etmv3Atoms::getCurrAtomVal | ( |  | ) | const

inline

Definition at line 101 of file trc_pkt_decode_etmv3.h.

## getRemainCC()

const uint32_t Etmv3Atoms::getRemainCC | ( |  | ) | const

inline

get residual cycle count for remaining atoms

Definition at line 167 of file trc_pkt_decode_etmv3.h.

## hasAtomCC()

const bool Etmv3Atoms::hasAtomCC | ( |  | ) | const

inline

cycle count for current atom?

Definition at line 116 of file trc_pkt_decode_etmv3.h.

## initAtomPkt()

void Etmv3Atoms::initAtomPkt | ( | const EtmV3TrcPacket * | in_pkt,
|  | const ocsd_trc_index_t & | root_index
| ) |  |

inline

initialise the atom and index values

Definition at line 94 of file trc_pkt_decode_etmv3.h.

Here is the call graph for this function:

## numAtoms()

const int Etmv3Atoms::numAtoms | ( |  | ) | const

inline

number of atoms

Definition at line 106 of file trc_pkt_decode_etmv3.h.

## pktIndex()

const ocsd_trc_index_t Etmv3Atoms::pktIndex | ( |  | ) | const

inline

originating packet index

Definition at line 111 of file trc_pkt_decode_etmv3.h.

The documentation for this class was generated from the following file:

- /build/libopencsd-WqHKQU/libopencsd-0.12.2/decoder/include/opencsd/etmv3/trc_pkt_decode_etmv3.h